Notices


Reply
Thread Tools
qole's Avatar
Moderator | Posts: 7,109 | Thanked: 8,809 times | Joined on Oct 2007 @ Vancouver, BC, Canada
#11
The last old-style easy-chroot package is version 0.1.9

The first new-style package (that actually built ) is 0.2.1-1diablo3
__________________
qole.org --- twitter --- Easy Debian wiki page
Please don't send me a private message, post to the appropriate thread.
Thank you all for your donations!
 
Posts: 3,319 | Thanked: 5,609 times | Joined on Aug 2008 @ Finland
#12
@qole
Okay, I updated to devmapper 1.02.27-maemo2, if you have a 0.1.9 lying around you can try and see whether this helps
 

The Following User Says Thank You to attila77 For This Useful Post:
Posts: 54 | Thanked: 36 times | Joined on Jul 2009 @ Central Valley, California, USA
#13
I wanted to quickly share how your Easy Debian application really helped me.

One day I began to experience difficulties in downloading files. The problem got much worse, until I couldn't use this very important functionality at all. And nothing I could try worked! Since I use my N810 to download work docs from Exchange, I was in trouble and ready to reformat my entire device.

Fragos and silvermountain suggested that I delete the .swap file. I looked around, read up on how to find and delete it (file manager wouldn't help), then instantly thought of your Easy Debian package's Lightweight Desktop Environment.

I went in, figured out how to "see" hidden files (much like Windows, which helped) and zeroed in on .swap. After it was gone, my downloads worked again!

Thanks again for your Easy Debian package. You've added true desktop functionality to an (unfortunately) aging device.
 

The Following User Says Thank You to lschumanfcoe For This Useful Post:
qole's Avatar
Moderator | Posts: 7,109 | Thanked: 8,809 times | Joined on Oct 2007 @ Vancouver, BC, Canada
#14
attila77: well, the errors are different now. The bold part is the heart of the problem (emphasis mine).

The following NEW packages will be installed
dmsetup kernel-diablo-modules-dmloop libdevmapper1.02.1
The following packages will be upgraded:
easy-chroot
1 upgraded, 3 newly installed, 0 to remove and 116 not upgraded.
Need to get 89.0kB/246kB of archives.
After unpacking 381kB of additional disk space will be used.
Do you want to continue [Y/n]? y
WARNING: The following packages cannot be authenticated!
libdevmapper1.02.1 dmsetup kernel-diablo-modules-dmloop easy-chroot
Install these packages without verification [y/N]? y
Get: 1 http://repository.maemo.org diablo/free libdevmapper1.02.1 2:1.02.27-maemo2 [52.0kB]
Get: 2 http://repository.maemo.org diablo/free dmsetup 2:1.02.27-maemo2 [37.0kB]
Fetched 89.0kB in 1s (85.5kB/s)
(Reading database ... 26889 files and directories currently installed.)
Unpacking libdevmapper1.02.1 (from .../libdevmapper1.02.1_2%3a1.02.27-maemo2_armel.deb) ...
Replacing files in old package easy-chroot ...
Unpacking dmsetup (from .../dmsetup_2%3a1.02.27-maemo2_armel.deb) ...
Replacing files in old package easy-chroot ...
Selecting previously deselected package kernel-diablo-modules-dmloop.
Unpacking kernel-diablo-modules-dmloop (from .../kernel-diablo-modules-dmloop_2.6.21-200842maemo1.3_armel.deb) ...
Preparing to replace easy-chroot 0.1.9 (using .../easy-chroot_0.2.2-1diablo1_armel.deb) ...
Unpacking replacement easy-chroot ...
Setting up libdevmapper1.02.1 (2:1.02.27-maemo2) ...
ldconfig: /usr/lib/libgailutil.so.18 is not a symbolic link

Setting up dmsetup (2:1.02.27-maemo2) ...
ln: /etc/udev/rules.d/65_dmsetup.rules: File exists
dpkg: error processing dmsetup (--configure):
subprocess post-installation script returned error exit status 1
Setting up kernel-diablo-modules-dmloop (2.6.21-200842maemo1.3) ...
dpkg: dependency problems prevent configuration of easy-chroot:
easy-chroot depends on dmsetup; however:
Package dmsetup is not configured yet.
dpkg: error processing easy-chroot (--configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
dmsetup
easy-chroot
E: Sub-process /usr/bin/dpkg returned an error code (1)
__________________
qole.org --- twitter --- Easy Debian wiki page
Please don't send me a private message, post to the appropriate thread.
Thank you all for your donations!
 
qole's Avatar
Moderator | Posts: 7,109 | Thanked: 8,809 times | Joined on Oct 2007 @ Vancouver, BC, Canada
#15
If you want to roll back to the old version of easy-chroot, so you can test installing everything again, a simple

apt-get install easy-chroot=0.1.9

should do the trick.
__________________
qole.org --- twitter --- Easy Debian wiki page
Please don't send me a private message, post to the appropriate thread.
Thank you all for your donations!
 
Posts: 3,319 | Thanked: 5,609 times | Joined on Aug 2008 @ Finland
#16
Originally Posted by qole View Post
attila77: well, the errors are different now. The bold part is the heart of the problem (emphasis mine).
Stand by, this might be a completely unrelated error, sounds more like the rules file being created in a postinst or other script and not removed in a postrm, and then you removing the package and installing it again. You can confirm this by deleting the file in question manually and then (re)trying to install.
 
hordeman's Avatar
Posts: 698 | Thanked: 129 times | Joined on Oct 2007 @ CA
#17
after a couple of days of use, i wanted to let you know that this has been working well. oo seems to boot faster, but opening docs takes just as long. iceweasel seems to be incredibly speedy (using that right now). so far, only java seems to crash this browser. nice job and thank you!
 

The Following User Says Thank You to hordeman For This Useful Post:
Posts: 6 | Thanked: 1 time | Joined on Nov 2009 @ Warsaw, Poland
#18
This may be an obvious question but can Easy Debian be installed on Nokia N900 (Maemo 5)? I don't see it in the Fremantle repos and I'm not sure if I should/can use repos from older Maemo versions.
 
qole's Avatar
Moderator | Posts: 7,109 | Thanked: 8,809 times | Joined on Oct 2007 @ Vancouver, BC, Canada
#19
ppawel: I see you found the right thread already.
__________________
qole.org --- twitter --- Easy Debian wiki page
Please don't send me a private message, post to the appropriate thread.
Thank you all for your donations!
 
Posts: 64 | Thanked: 19 times | Joined on Feb 2008
#20
The latest upgrade of easy-chroot failed with this error:

The following packages have unmet dependencies:
easy-chroot: Depends: dmsetup but it is not installed

This was not fixable by:

Nokia-N810-36-5:~# apt-get -f install dmsetup
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
dmsetup
0 upgraded, 1 newly installed, 0 to remove and 3 not upgraded.
3 not fully installed or removed.
Need to get 0B/37.1kB of archives.
After unpacking 119kB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
dmsetup
Install these packages without verification [y/N]? y
(Reading database ... 22780 files and directories currently installed.)
Unpacking dmsetup (from .../dmsetup_2%3a1.02.27-maemo3_armel.deb) ...
rm: cannot remove '/etc/udev/rules.d/65_dmsetup.rules': No such file or directory
dpkg: error processing /var/cache/apt/archives/dmsetup_2%3a1.02.27-maemo3_armel.deb (--unpack):
subprocess pre-installation script returned error exit status 1
Errors were encountered while processing:
/var/cache/apt/archives/dmsetup_2%3a1.02.27-maemo3_armel.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


A workaround (thanks to cehteh in #maemo on irc.freenode.net) to this problem is:

Nokia-N810-36-5:~# touch /etc/udev/rules.d/65_dmsetup.rules

Then try apt-get install dmsetup and then apt-get install easy-deb-chroot as seen below:

Preparing to replace easy-deb-chroot 0.9.25 (using .../easy-deb-chroot_0.9.30-1diablo2_armel.deb)
 

The Following User Says Thank You to johndoe32102002 For This Useful Post:
Reply

Tags
debian, easy debian, extras-devel, free

Thread Tools

 
Forum Jump


All times are GMT. The time now is 11:20.